Index: code/trunk/src/orxonox/core/Script.cc
===================================================================
--- code/trunk/src/orxonox/core/Script.cc	(revision 1023)
+++ code/trunk/src/orxonox/core/Script.cc	(revision 1024)
@@ -38,6 +38,6 @@
 }
 
-#include "tolua++.h"
-#include "../../util/tolua/tolua_bind.h"
+#include "util/tolua/tolua++.h"
+#include "util/tolua/tolua_bind.h"
 
 namespace orxonox
@@ -57,5 +57,5 @@
   {
     output_ += str;
-    COUT(0) << "Lua_output!:" << std::endl << str << std::endl << "***" << std::endl;
+    COUT(4) << "Lua_output!:" << std::endl << str << std::endl << "***" << std::endl;
   }
 
@@ -89,5 +89,5 @@
 
     if (luaTags) luaSource_ = replaceLuaTags(levelString);
-    COUT(0) << "ParsedSourceCode: " << luaSource_ << std::endl;
+    COUT(4) << "ParsedSourceCode: " << luaSource_ << std::endl;
   }
 
@@ -100,5 +100,5 @@
     if (error == 0)
       error = lua_pcall(luaState_, 0, 0, 0);
-    if (error != 0) COUT(0) << "Error in Lua-script: " << lua_tostring(luaState_, -1) << std::endl;
+    if (error != 0) COUT(2) << "Error in Lua-script: " << lua_tostring(luaState_, -1) << std::endl;
   }
 
Index: code/trunk/src/orxonox/core/Tickable.h
===================================================================
--- code/trunk/src/orxonox/core/Tickable.h	(revision 1023)
+++ code/trunk/src/orxonox/core/Tickable.h	(revision 1024)
@@ -46,6 +46,4 @@
 namespace orxonox
 {
-    //class TickFrameListener; // Forward declaration
-
     //! The Tickable interface provides a tick(dt) function, that gets called every frame.
     class _CoreExport Tickable : virtual public OrxonoxClass
Index: code/trunk/src/orxonox/objects/Fighter.cc
===================================================================
--- code/trunk/src/orxonox/objects/Fighter.cc	(revision 1023)
+++ code/trunk/src/orxonox/objects/Fighter.cc	(revision 1024)
@@ -39,5 +39,5 @@
 #include "core/CoreIncludes.h"
 #include "Orxonox.h"
-#include "InputHandler.h"
+#include "core/InputManager.h"
 #include "particle/ParticleInterface.h"
 #include "weapon/AmmunitionDump.h"
@@ -255,7 +255,7 @@
         if (!this->setMouseEventCallback_)
         {
-            if (InputHandler::getSingleton()->getMouse())
+            if (InputManager::getSingleton()->getMouse())
             {
-                InputHandler::getSingleton()->getMouse()->setEventCallback(this);
+                InputManager::getSingleton()->getMouse()->setEventCallback(this);
                 this->setMouseEventCallback_ = true;
             }
@@ -264,9 +264,9 @@
         WorldEntity::tick(dt);
 
-        OIS::Keyboard* mKeyboard = InputHandler::getSingleton()->getKeyboard();
-        OIS::Mouse* mMouse = InputHandler::getSingleton()->getMouse();
-
-        mKeyboard->capture();
-        mMouse->capture();
+        OIS::Keyboard* mKeyboard = InputManager::getSingleton()->getKeyboard();
+        OIS::Mouse* mMouse = InputManager::getSingleton()->getMouse();
+
+        //mKeyboard->capture();
+        //mMouse->capture();
 
         if (leftButtonPressed_)
Index: code/trunk/src/orxonox/objects/Fighter.h
===================================================================
--- code/trunk/src/orxonox/objects/Fighter.h	(revision 1023)
+++ code/trunk/src/orxonox/objects/Fighter.h	(revision 1024)
@@ -7,6 +7,4 @@
 
 #include "Model.h"
-
-class TiXmlElement; // Forward declaration
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/Model.h
===================================================================
--- code/trunk/src/orxonox/objects/Model.h	(revision 1023)
+++ code/trunk/src/orxonox/objects/Model.h	(revision 1024)
@@ -6,6 +6,4 @@
 #include "WorldEntity.h"
 #include "../tools/Mesh.h"
-
-class TiXmlElement; // Forward declaration
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/NPC.h
===================================================================
--- code/trunk/src/orxonox/objects/NPC.h	(revision 1023)
+++ code/trunk/src/orxonox/objects/NPC.h	(revision 1024)
@@ -11,6 +11,4 @@
 
 #include "Model.h"
-
-class TiXmlElement; // Forward declaration
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/Projectile.h
===================================================================
--- code/trunk/src/orxonox/objects/Projectile.h	(revision 1023)
+++ code/trunk/src/orxonox/objects/Projectile.h	(revision 1024)
@@ -10,6 +10,4 @@
 namespace orxonox
 {
-    class SpaceShip; // Forward declaration
-
     class _OrxonoxExport Projectile : public WorldEntity
     {
Index: code/trunk/src/orxonox/objects/Skybox.h
===================================================================
--- code/trunk/src/orxonox/objects/Skybox.h	(revision 1023)
+++ code/trunk/src/orxonox/objects/Skybox.h	(revision 1024)
@@ -5,6 +5,4 @@
 
 #include "core/BaseObject.h"
-
-class TiXmlElement; // Forward declaration
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/trunk/src/orxonox/objects/SpaceShip.cc	(revision 1023)
+++ code/trunk/src/orxonox/objects/SpaceShip.cc	(revision 1024)
@@ -42,5 +42,5 @@
 #include "core/Debug.h"
 #include "Orxonox.h"
-#include "InputHandler.h"
+#include "core/InputManager.h"
 #include "particle/ParticleInterface.h"
 #include "Projectile.h"
@@ -417,9 +417,9 @@
     void SpaceShip::tick(float dt)
     {
-        if (!this->setMouseEventCallback_)
-        {
-            if (InputHandler::getSingleton()->getMouse())
+      if (InputManager::getSingleton()->getMouse()->getEventCallback() != this)
+        {
+            if (InputManager::getSingleton()->getMouse())
             {
-                InputHandler::getSingleton()->getMouse()->setEventCallback(this);
+                InputManager::getSingleton()->getMouse()->setEventCallback(this);
                 this->setMouseEventCallback_ = true;
             }
@@ -446,9 +446,6 @@
         }
 
-        OIS::Keyboard* mKeyboard = InputHandler::getSingleton()->getKeyboard();
-        OIS::Mouse* mMouse = InputHandler::getSingleton()->getMouse();
-
-        mKeyboard->capture();
-        mMouse->capture();
+        OIS::Keyboard* mKeyboard = InputManager::getSingleton()->getKeyboard();
+        OIS::Mouse* mMouse = InputManager::getSingleton()->getMouse();
 
 
Index: code/trunk/src/orxonox/objects/SpaceShip.h
===================================================================
--- code/trunk/src/orxonox/objects/SpaceShip.h	(revision 1023)
+++ code/trunk/src/orxonox/objects/SpaceShip.h	(revision 1024)
@@ -10,10 +10,6 @@
 #include "../tools/BillboardSet.h"
 
-class TiXmlElement;          // Forward declaration
-
 namespace orxonox
 {
-    class ParticleInterface; // Forward declaration
-
     class _OrxonoxExport SpaceShip : public Model, public OIS::MouseListener
     {
Index: code/trunk/src/util/ArgReader.cc
===================================================================
--- code/trunk/src/util/ArgReader.cc	(revision 1024)
+++ code/trunk/src/util/ArgReader.cc	(revision 1024)
@@ -0,0 +1,109 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Benjamin Knecht <beni_at_orxonox.net>, (C) 2007
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+ @file  ArgReader.cc
+ @brief Argument Reader
+ */
+
+#include <iostream>
+
+#include "ArgReader.h"
+
+ArgReader::ArgReader(int argc, char** argv)
+{
+  counter_ = argc;
+  arguments_ = argv;
+  fail_ = false;
+  errorStr_ = "";
+}
+
+void ArgReader::checkArgument(std::string option, std::string &string, bool must)
+{
+  int argpos = checkOption(option) + 1;
+  if(argpos != 0)
+  {
+    string = arguments_[argpos];
+  }
+  else
+  {
+    if(must) {
+      errorStr_ = errorStr_ + "Cannot find mandatory argument \"" + option + "\"\n";
+      fail_ = true;
+    }
+  }
+
+}
+
+void ArgReader::checkArgument(std::string option, int &integer, bool must)
+{
+  int argpos = checkOption(option) + 1;
+  if(argpos != 0)
+  {
+    integer = atoi(arguments_[argpos]);
+  }
+  else
+  {
+    if(must) {
+      errorStr_ = errorStr_ + "Cannot find mandatory argument \"" + option + "\"\n";
+      fail_ = true;
+    }
+  }
+}
+
+void ArgReader::checkArgument(std::string option, float &floating, bool must)
+{
+  int argpos = checkOption(option) + 1;
+  if(argpos != 0)
+  {
+    floating = (float)atof(arguments_[argpos]);
+  }
+  else
+  {
+    if(must) {
+      errorStr_ = errorStr_ + "Cannot find mandatory argument \"" + option + "\"\n";
+      fail_ = true;
+    }
+  }
+}
+
+int ArgReader::checkOption(std::string option)
+{
+  for(int i = 1; i < counter_; i++)
+  {
+    if(arguments_[i] == "--" + option)
+        return i;
+  }
+  return -1;
+}
+
+bool ArgReader::errorHandling()
+{
+  if(fail_)
+    std::cout << errorStr_;
+  return fail_;
+}
Index: code/trunk/src/util/ArgReader.h
===================================================================
--- code/trunk/src/util/ArgReader.h	(revision 1024)
+++ code/trunk/src/util/ArgReader.h	(revision 1024)
@@ -0,0 +1,59 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Benjamin Knecht <beni_at_orxonox.net>
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+ @file  Argreader.h
+ @brief reads arguments
+ @author Benjamin Knecht <beni_at_orxonox.net>
+ */
+
+#ifndef _ArgReader_H__
+#define _ArgReader_H__
+
+#include <string>
+
+#include "UtilPrereqs.h"
+
+class _UtilExport ArgReader
+{
+  public:
+    ArgReader(int argc, char **argv);
+    void checkArgument(std::string option, std::string& string, bool must=false);
+    void checkArgument(std::string option, int& integer, bool must=false);
+    void checkArgument(std::string option, float& floating, bool must=false);
+    bool errorHandling();
+  private:
+    int checkOption(std::string option);
+
+  private:
+    int counter_;
+    char **arguments_;
+    bool fail_;
+    std::string errorStr_;
+};
+
+#endif /* _ArgReader_H__ */
Index: code/trunk/src/util/CMakeLists.txt
===================================================================
--- code/trunk/src/util/CMakeLists.txt	(revision 1023)
+++ code/trunk/src/util/CMakeLists.txt	(revision 1024)
@@ -5,4 +5,5 @@
 
 SET (UTIL_SRC_FILES
+  ArgReader.cc
   Math.cc
   String.cc
Index: code/trunk/src/util/UtilPrereqs.h
===================================================================
--- code/trunk/src/util/UtilPrereqs.h	(revision 1023)
+++ code/trunk/src/util/UtilPrereqs.h	(revision 1024)
@@ -27,7 +27,7 @@
 
 /**
- @file  UtilPrereq.h
- @brief Contains all the necessary forward declarations for all classes, structs and enums.
- */
+  @file
+  @brief Contains all the necessary forward declarations for all classes and structs.
+*/
 
 #ifndef _UtilPrereqs_H__
@@ -59,4 +59,5 @@
 // Forward declarations
 //-----------------------------------------------------------------------
+class ArgReader;
 class Convert;
 template <typename FromType, typename ToType>
Index: code/trunk/visual_studio/audio_properties.vsprops
===================================================================
--- code/trunk/visual_studio/audio_properties.vsprops	(revision 1023)
+++ code/trunk/visual_studio/audio_properties.vsprops	(revision 1024)
@@ -9,4 +9,5 @@
 		Name="VCCLCompilerTool"
 		PreprocessorDefinitions="AUDIO_SHARED_BUILD"
+		DisableSpecificWarnings="4244"
 	/>
 	<Tool
Index: code/trunk/visual_studio/base_properties.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties.vsprops	(revision 1023)
+++ code/trunk/visual_studio/base_properties.vsprops	(revision 1024)
@@ -9,7 +9,7 @@
 		Name="VCCLCompilerTool"
 		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(DependencyDir)include&quot;"
-		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK"
+		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB; ZLIB_WINAPI"
 		WarningLevel="3"
-		DisableSpecificWarnings="4244;4251"
+		DisableSpecificWarnings="4522;4251"
 	/>
 	<Tool
@@ -23,5 +23,5 @@
 		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
 		AdditionalLibraryDirectories="$(DependencyDir)lib"
-		SubSystem="2"
+		SubSystem="1"
 		ImportLibrary="$(LibOutDir)$(TargetName).lib"
 		TargetMachine="1"
@@ -33,5 +33,5 @@
 	<UserMacro
 		Name="DependencyDir"
-		Value="D:\orxonox\dependencies\orxonox\"
+		Value="$(RootDir)..\dependencies\"
 	/>
 	<UserMacro
@@ -41,5 +41,5 @@
 	<UserMacro
 		Name="CSS"
-		Value="$(CS)"
+		Value=""
 	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/base_properties_debug.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties_debug.vsprops	(revision 1023)
+++ code/trunk/visual_studio/base_properties_debug.vsprops	(revision 1024)
@@ -26,5 +26,5 @@
 	<UserMacro
 		Name="CSS"
-		Value="$(CS)"
+		Value="_d"
 	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/base_properties_release.vsprops
===================================================================
--- code/trunk/visual_studio/base_properties_release.vsprops	(revision 1023)
+++ code/trunk/visual_studio/base_properties_release.vsprops	(revision 1024)
@@ -12,5 +12,5 @@
 		PreprocessorDefinitions="NDEBUG"
 		RuntimeLibrary="2"
-		DebugInformationFormat="0"
+		DebugInformationFormat="3"
 	/>
 	<Tool
@@ -27,5 +27,5 @@
 	<UserMacro
 		Name="CSS"
-		Value="$(CS)"
+		Value=""
 	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/core_properties.vsprops
===================================================================
--- code/trunk/visual_studio/core_properties.vsprops	(revision 1023)
+++ code/trunk/visual_studio/core_properties.vsprops	(revision 1024)
@@ -12,5 +12,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CS).lib"
+		AdditionalDependencies="OgreMain$(CS).lib OIS$(CSS).lib lua$(CS).lib"
 	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/network_properties.vsprops
===================================================================
--- code/trunk/visual_studio/network_properties.vsprops	(revision 1023)
+++ code/trunk/visual_studio/network_properties.vsprops	(revision 1024)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="NETWORK_SHARED_BUILD; ZLIB_WINAPI;WIN32_LEAN_AND_MEAN"
+		PreprocessorDefinitions="NETWORK_SHARED_BUILD;WIN32_LEAN_AND_MEAN"
 	/>
 	<Tool
Index: code/trunk/visual_studio/orxonox_properties.vsprops
===================================================================
--- code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1023)
+++ code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1024)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="ORXONOX_SHARED_BUILD; LOADER_STATIC_BUILD"
+		PreprocessorDefinitions="ORXONOX_SHARED_BUILD"
 		UsePrecompiledHeader="2"
 		PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
Index: code/trunk/visual_studio/orxonox_vc8.sln
===================================================================
--- code/trunk/visual_studio/orxonox_vc8.sln	(revision 1023)
+++ code/trunk/visual_studio/orxonox_vc8.sln	(revision 1024)
@@ -7,6 +7,6 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 	EndProjectSection
 EndProject
@@ -17,4 +17,5 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
@@ -27,6 +28,6 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 	EndProjectSection
 EndProject
@@ -37,9 +38,9 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
 	EndProjectSection
 EndProject
@@ -56,9 +57,13 @@
 	EndProjectSection
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua++", "vc8\tolua++.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Win32 = Debug|Win32
-		Release_SSE|Win32 = Release_SSE|Win32
-		Release_SSE2|Win32 = Release_SSE2|Win32
 		Release|Win32 = Release|Win32
 	EndGlobalSection
@@ -66,50 +71,26 @@
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.ActiveCfg = Debug|Win32
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Debug|Win32.Build.0 = Debug|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
-		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.ActiveCfg = Release|Win32
 		{4733BD1A-E04C-458D-8BFB-5010250EA497}.Release|Win32.Build.0 = Release|Win32
 		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.ActiveCfg = Debug|Win32
 		{271715F3-5B90-4110-A552-70C788084A86}.Debug|Win32.Build.0 = Debug|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
-		{271715F3-5B90-4110-A552-70C788084A86}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.ActiveCfg = Release|Win32
 		{271715F3-5B90-4110-A552-70C788084A86}.Release|Win32.Build.0 = Release|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.ActiveCfg = Debug|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Debug|Win32.Build.0 = Debug|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.ActiveCfg = Release|Win32
 		{35575B59-E1AE-40E8-89C4-2862B5B09B68}.Release|Win32.Build.0 = Release|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.ActiveCfg = Debug|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Debug|Win32.Build.0 = Debug|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
-		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.ActiveCfg = Debug|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Debug|Win32.Build.0 = Debug|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.ActiveCfg = Release|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.ActiveCfg = Debug|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.Build.0 = Debug|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release_SSE|Win32.ActiveCfg = Release_SSE|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release_SSE|Win32.Build.0 = Release_SSE|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release_SSE2|Win32.ActiveCfg = Release_SSE2|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release_SSE2|Win32.Build.0 = Release_SSE2|Win32
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.ActiveCfg = Release|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.Build.0 = Release|Win32
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Debug|Win32.ActiveCfg = Debug|Win32
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Release|Win32.ActiveCfg = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: code/trunk/visual_studio/tixml_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tixml_properties.vsprops	(revision 1023)
+++ code/trunk/visual_studio/tixml_properties.vsprops	(revision 1024)
@@ -3,14 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="util_properties"
+	Name="tixml_properties"
 	InheritedPropertySheets=".\directory_properties.vsprops"
 	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="UTIL_SHARED_BUILD"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CS).lib"
-	/>
 </VisualStudioPropertySheet>
Index: code/trunk/visual_studio/tolua++_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tolua++_properties.vsprops	(revision 1024)
+++ code/trunk/visual_studio/tolua++_properties.vsprops	(revision 1024)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua++_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="lua$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/audio.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/audio.vcproj	(revision 1023)
+++ code/trunk/visual_studio/vc8/audio.vcproj	(revision 1024)
@@ -139,128 +139,4 @@
 			/>
 		</Configuration>
-		<Configuration
-			Name="Release_SSE|Win32"
-			ConfigurationType="2"
-			InheritedPropertySheets="..\base_properties_release_sse.vsprops;..\audio_properties.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release_SSE2|Win32"
-			ConfigurationType="2"
-			InheritedPropertySheets="..\base_properties_release_sse2.vsprops;..\audio_properties.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
 	</Configurations>
 	<References>
@@ -273,40 +149,4 @@
 			>
 			<File
-				RelativePath="..\..\src\audio\_AudioObject.cc"
-				>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release_SSE|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release_SSE2|Win32"
-					ExcludedFromBuild="true"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
 				RelativePath="..\..\src\audio\AudioBuffer.cc"
 				>
